#include "Calendar.h"

bool CPanelCalendar::OnCreate()
{
	if (!CPanelWithButtons::OnCreate())
		return false;
	
	m_wndCalculator.Create(*this, CRect(0,0, 128,55));
	
	SetFocusWnd(m_wndCalculator.GetHWin());
	return true;
}

bool CPanelCalendar::OnUpdateDisplay()
{
	SetRButtonText(GetResText("bBack"));
	return true;
}

bool CPanelCalendar::OnLButton() 
{
	return true;
}

bool CPanelCalendar::OnRButton() 
{
	MarkToDelete();
	return true;
}

bool CPanelCalendar::OnKeyDown(WORD nCode)
{
	switch(nCode)
	{
		case IPhoneKbd::pucDown:
		case IPhoneKbd::pucUp:
			return true;
		default:
			break;
	}
	return CPanelWithButtons::OnKeyDown(nCode);
}


bool CPanelCalendar::OnCommand(ICmd& cmd)
{
	switch (cmd.GetType())
	{
	case  ICmd::cmdTextChanged:
		{
			return true;
		}

	default:
		return false;
	}
	
}




bool CWndCalendar::Create(CPanel& panel, const CRect& rect) 
{
	return CWnd::Create(panel,rect);
}



bool CWndCalendar::OnKeyDown(WORD nCode)
{
	PString strOP;

	switch (nCode)
	{
	default:
		return false;
	}
	
	{ // Notify panel
//		CPanel::CCmdCalcFunc cmd(strOP);
//		m_pPanel->SendCommand(cmd);
	}
	return true;
}


bool CWndCalendar::OnPaint(const CRect& rect)
{
//	[+]	  [-]   [%]    [Sin]
//	[*]	  [/]   [\]  [Cos]
//  [Ln] [Exp] [Sqrt]  [Tan]
//	[(]	  [^]	[)]    [ATn]

//11	1 + 28 + 1 + 28 + 1 + 28 + 1 + 39 + 1
//1	
	CRect rectC, rc;
	GetClientRect(rectC);
	CDisplayDC& dc = BeginPaint();
	dc.FillRect(rectC);
	int i;
	rc.SetRect(0, 0, 10, 12);
	for(i=0; i<32; i++)
	{
		CRect r(rc);
		r.DeflateRect(1,1);
		dc.FrameRect(rc, ROP_SRCCOPY, 255);
		dc.TextOut(r, PString(i), CDisplayDC::taRight);
		if (i && !((i+1)%7))
		{
			rc.OffsetRect(-rc.left+1, rc.Height()+1);
		} else
		{
			rc.OffsetRect(rc.Width()+1, 0);
		}
	}
	EndPaint(dc);
	return true;
}










