// PXAEmuDlg.h : header file
//
//{{AFX_INCLUDES()
#include "picclip.h"
//}}AFX_INCLUDES

#if !defined(AFX_PXAEMUDLG_H__ADDC793A_A86F_44D1_9D22_C53581EA623E__INCLUDED_)
#define AFX_PXAEMUDLG_H__ADDC793A_A86F_44D1_9D22_C53581EA623E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EmuThread.h"
#include "Display.h"

/////////////////////////////////////////////////////////////////////////////
// CPXAEmuDlg dialog

class CPXAEmuDlg : public CDialog
{
// Construction
public:

	void SetConnected(bool bConnected);
	void UpdateLayout();
	CPXAEmuDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPXAEmuDlg)
	enum { IDD = IDD_PXAEMU_DIALOG };
	CDisplay	m_ctrlDisplay;
	UINT	m_nGap;
	UINT	m_nPixelSize;
	UINT	m_nBorder;
	CPicClip	m_pc;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPXAEmuDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL
	void StartThread();
// Implementation
protected:
	HICON m_hIcon;
	
	afx_msg LRESULT OnPipeConnected(WPARAM, LPARAM);
	afx_msg LRESULT OnDataMsg(WPARAM, LPARAM);
	// Generated message map functions
	//{{AFX_MSG(CPXAEmuDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnUpdateGeom();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBtnCopyDisplay();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CEmuThread *m_thread;
	int	m_nBmpIndex;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PXAEMUDLG_H__ADDC793A_A86F_44D1_9D22_C53581EA623E__INCLUDED_)
