#ifndef _CALENDAR_H_
#define _CALENDAR_H_

#include "StdAfx.h"
#include "Panels.h"

class CWndCalendar : public CWnd
{
public:
	bool Create(CPanel& panel, const CRect& rect);

protected:
	bool OnKeyDown(WORD nCode);
	bool OnPaint(const CRect& rect);
};


class CPanelCalendar : public CPanelWithButtons
{
public:
	CPanelCalendar(CWinMgr& winmgr, PTimeInterval timeToAutoClose)
		:CPanelWithButtons(winmgr, timeToAutoClose) 
	{ m_strNumber = strNumber; }

protected:
	bool OnKeyDown(WORD nCode);
	bool OnLButton(); 
	bool OnRButton(); 
	bool OnCreate();
	bool OnCommand(ICmd& cmd);
	bool OnUpdateDisplay();
	void ShowKbd(bool bShow);
	bool Recalc();
private:
	CWndCalendar	m_wndCalendar;
};

#endif // _CALENDAR_H_
